% Analisando o modo como o equilibrio assintotico depende
% da condicao inicial (equacao SIR)

% Definindo a equacao diferencial
F = @(t,z) SIR(t,z,beta,gamma);

% Escolhendo o método de integração
Metodo = 4;

% Parametros do modelo
beta = 1/2; gamma = 1/3;       % gripe de Hong Kong
%beta = 20/27389; gamma = 1/14; % variola
%beta = 1/16; gamma = 1/20;     % ferrugem do milho

% Condicoes iniciais e passo
t0 = 0;             % Tempo inicial
tf = 100;           % Tempo final
h = 0.01;           % Passo de tempo;

figure;

for I0=0.05:0.05:1.0
  S0 = 1-I0;       % pessoas sucetiveis a infeccao
% I0 = ;            % pessoas infectadas 
  R0 = 0.0;         % pessoas recuperadas
  z0 = [S0,I0,R0];

% Resolvendo usando Metodo Escolhido
  if Metodo == 1 % Metodo de Euler
    z = Euler(t0,tf,h,z0,F);

    elseif Metodo == 4 % Metodo de Heun 
    z = Heun(t0,tf,h,z0,F);

    elseif Metodo == 5 % Metodo RK3 
    z = RK3(t0,tf,h,z0,F);
    
    elseif Metodo == 6 % Metodo RK4
    z = RK4(t0,tf,h,z0,F);

    end

% Representacao grafica dos resultados
%plot3(z(:,1),z(:,2),z(:,3))

%plot(z(:,1),z(:,2))
plot(z(:,1),z(:,3))
%plot(z(:,2),z(:,3))
hold on

%sum=z(:,1)+z(:,2)+z(:,3);

%figure; plot(sum)

end

